## org.eclipse.emf.mapping.presentation
Class MappingEditor.DelayedColumnFitter.DelayedLayout

    java.lang.Object
      org.eclipse.emf.mapping.presentation.MappingEditor.DelayedColumnFitter.DelayedLayout

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  MappingEditor.DelayedColumnFitter

    protected class MappingEditor.DelayedColumnFitter.DelayedLayout

extends java.lang.Object
implements java.lang.Runnable

Field Summary
`protected boolean` `ignore`
`protected TableLayout` `layout`
`protected int` `newWidth`

Constructor Summary
`MappingEditor.DelayedColumnFitter.DelayedLayout(int time)`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### layout

    protected TableLayout layout

### newWidth

    protected int newWidth

### ignore

    protected boolean ignore

Constructor Detail

### MappingEditor.DelayedColumnFitter.DelayedLayout

    public MappingEditor.DelayedColumnFitter.DelayedLayout(int time)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.